
import pteidlib.*;

public class TestUnlock2 {

	static final byte PINID_AUTH = (byte)129;
    static final byte PINID_SIGN = (byte)130;
    static final byte PINID_ADDR = (byte)131;

    static
    {
        try
        {
            System.loadLibrary("pteidlibj");
        }
        catch (UnsatisfiedLinkError e)
        {
            System.err.println("Native code library failed to load.\n" + e);
            System.exit(1);
        }
    }

	public static void main(String args[]) throws Exception {
		
		pteid.Init("");

		try
		{

			pteid.UnblockPIN_Ext(PINID_ADDR, args[0], null, pteid.UNBLOCK_FLAG_NEW_PIN);

		}
		catch (Exception e) { 
			e.printStackTrace();
			pteid.Exit(0);
		}

		System.out.println("Test finished without exception thrown!");

		pteid.Exit(0);
	}
}
